VST 3 SDK: Steinberg::Vst::Algo Namespace Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Functions
Steinberg::Vst::Algo Namespace Reference

## Functions
template<typename T>
void | foreach (AudioBusBuffers *audioBusBuffers, int32 busCount, const T &func)
template<typename T>
void | foreach32 (AudioBusBuffers &audioBuffer, const T &func)
template<typename T>
void | foreach64 (AudioBusBuffers &audioBuffer, const T &func)
template<typename T>
void | foreach32 (AudioBusBuffers &buffer1, AudioBusBuffers &buffer2, const T &func)
template<typename T>
void | foreach64 (AudioBusBuffers &buffer1, AudioBusBuffers &buffer2, const T &func)
void | copy32 (AudioBusBuffers *src, AudioBusBuffers *dest, int32 sliceSize, int32 startIndex)
void | copy64 (AudioBusBuffers *src, AudioBusBuffers *dest, int32 sliceSize, int32 startIndex)
void | clear32 (AudioBusBuffers *audioBusBuffers, int32 sampleCount, int32 busCount=1)
void | clear64 (AudioBusBuffers *audioBusBuffers, int32 sampleCount, int32 busCount=1)
void | mix32 (AudioBusBuffers &src, AudioBusBuffers &dest, int32 sampleCount)
void | mix64 (AudioBusBuffers &src, AudioBusBuffers &dest, int32 sampleCount)
template<typename T>
void | multiply (T *srcBuffer, T *destBuffer, int32 sampleCount, T factor)
void | multiply32 (AudioBusBuffers &src, AudioBusBuffers &dest, int32 sampleCount, float factor)
void | multiply64 (AudioBusBuffers &src, AudioBusBuffers &dest, int32 sampleCount, double factor)
bool | isSilent32 (AudioBusBuffers &audioBuffer, int32 sampleCount, int32 startIndex=0)
bool | isSilent64 (AudioBusBuffers &audioBuffer, int32 sampleCount, int32 startIndex=0)
template<typename T>
void | foreach (IEventList *eventList, const T &func)
template<typename T>
void | foreach (IParamValueQueue &paramQueue, const T &func)
template<typename T>
void | foreachLast (IParamValueQueue &paramQueue, const T &func)
template<typename T>
void | foreach (IParameterChanges *changes, const T &func)

## Function Documentation

## ◆ foreach() [1/4]

template<typename T>

void foreach | ( | AudioBusBuffers * | audioBusBuffers,
|  | int32 | busCount,
|  | const T & | func )
| inline

## ◆ foreach32() [1/2]

template<typename T>

void foreach32 | ( | AudioBusBuffers & | audioBuffer,
|  | const T & | func )
| inline

## ◆ foreach64() [1/2]

template<typename T>

void foreach64 | ( | AudioBusBuffers & | audioBuffer,
|  | const T & | func )
| inline

## ◆ foreach32() [2/2]

template<typename T>

void foreach32 | ( | AudioBusBuffers & | buffer1,
|  | AudioBusBuffers & | buffer2,
|  | const T & | func )
| inline

## ◆ foreach64() [2/2]

template<typename T>

void foreach64 | ( | AudioBusBuffers & | buffer1,
|  | AudioBusBuffers & | buffer2,
|  | const T & | func )
| inline

## ◆ copy32()

void copy32 | ( | AudioBusBuffers * | src,
|  | AudioBusBuffers * | dest,
|  | int32 | sliceSize,
|  | int32 | startIndex )
| inline

## ◆ copy64()

void copy64 | ( | AudioBusBuffers * | src,
|  | AudioBusBuffers * | dest,
|  | int32 | sliceSize,
|  | int32 | startIndex )
| inline

## ◆ clear32()

void clear32 | ( | AudioBusBuffers * | audioBusBuffers,
|  | int32 | sampleCount,
|  | int32 | busCount = 1 )
| inline

## ◆ clear64()

void clear64 | ( | AudioBusBuffers * | audioBusBuffers,
|  | int32 | sampleCount,
|  | int32 | busCount = 1 )
| inline

## ◆ mix32()

void mix32 | ( | AudioBusBuffers & | src,
|  | AudioBusBuffers & | dest,
|  | int32 | sampleCount )
| inline

## ◆ mix64()

void mix64 | ( | AudioBusBuffers & | src,
|  | AudioBusBuffers & | dest,
|  | int32 | sampleCount )
| inline

## ◆ multiply()

template<typename T>

void multiply | ( | T * | srcBuffer,
|  | T * | destBuffer,
|  | int32 | sampleCount,
|  | T | factor )
| inline

## ◆ multiply32()

void multiply32 | ( | AudioBusBuffers & | src,
|  | AudioBusBuffers & | dest,
|  | int32 | sampleCount,
|  | float | factor )
| inline

## ◆ multiply64()

void multiply64 | ( | AudioBusBuffers & | src,
|  | AudioBusBuffers & | dest,
|  | int32 | sampleCount,
|  | double | factor )
| inline

## ◆ isSilent32()

bool isSilent32 | ( | AudioBusBuffers & | audioBuffer,
|  | int32 | sampleCount,
|  | int32 | startIndex = 0 )
| inline

## ◆ isSilent64()

bool isSilent64 | ( | AudioBusBuffers & | audioBuffer,
|  | int32 | sampleCount,
|  | int32 | startIndex = 0 )
| inline

## ◆ foreach() [2/4]

template<typename T>

void foreach | ( | IEventList * | eventList,
|  | const T & | func )
| inline

## ◆ foreach() [3/4]

template<typename T>

void foreach | ( | IParamValueQueue & | paramQueue,
|  | const T & | func )
| inline

## ◆ foreachLast()

template<typename T>

void foreachLast | ( | IParamValueQueue & | paramQueue,
|  | const T & | func )
| inline

## ◆ foreach() [4/4]

template<typename T>

void foreach | ( | IParameterChanges * | changes,
|  | const T & | func )
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.